/*
 * Life.cpp
 *
 *  Created on: 14 jan 2012
 *      Author: Reii
 */
#include "Life.h"

Life::Life(std::string filename, bool transparent, bool multi, int x, int y):
Enemy(filename, transparent, multi, x, y){

}

Life::Life(Image* img, bool multi, int x, int y):
Enemy(img, multi, x, y){

}

Life* Life::getInstance(std::string filename, bool transparent, bool multi, int x, int y){
	return new Life(filename, transparent, multi, x, y);
}

Life* Life::getInstance(Image* img, bool multi, int x, int y){
	return new Life(img, multi, x, y);
}



